commit e583cbddba00426d45e35fd278b599c5366f65c6
Merge: af6ec6e 31b4c4f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 25 05:19:26 2026 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 31b4c4f6a70f0cb99b46e3e94468d62596b7e045
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Fri Apr 24 20:15:58 2026 -0400

    Bash arithmetic hardening

commit af6ec6e52cf0640e589e0aee35beb10a7403e35c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 22 13:21:07 2026 +0000

    bumped changelog version

commit 649820dd7be85d0382b6fff0572121acb0d4199d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 22 09:20:39 2026 -0400

    switch to bash to be able to use strings.bsh

commit ddc28d9a3b9bdd4bb210ecc3cc5f16a9976c9de6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 22 13:18:39 2026 +0000

    bumped changelog version

commit 1859a79723b0748e22b5d9786676e69203b8710e
Merge: 813dfc3 79617af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 22 07:30:47 2026 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 79617afdfff18efc786de620a09b5eaf519f799a
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Mon Apr 20 22:24:56 2026 -0400

    Harden against command injection

commit 813dfc3b0f5fec1b865307750b59f5e378f6542f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 29 08:20:39 2026 +0000

    bumped changelog version

commit 3092dfd11013dd5789de7d261a70a322e9ac5131
Merge: 743873b 4b36827
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 29 02:03:22 2026 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 4b368274937b28b2b0207799f71b76468539a1f4
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Sat Mar 28 23:17:38 2026 -0400

    readme

commit 743873b175be6753237eb6b158282a92969e1cc2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 28 09:55:39 2026 +0000

    bumped changelog version

commit 48f48201eec8fddbdda61363b54869a0e88e280c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 28 05:27:06 2026 -0400

    signed commit

commit 3eb64d5583027d3621101a07cfc46b1a95edc106
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 11 16:41:46 2026 +0000

    bumped changelog version

commit c808ddf4c5ae46aaf68f6b4f3c208696c3d6ae26
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 11 10:52:26 2026 -0500

    typo

commit b9b5ac9025021d476782038500c3e2cfcfbf52ad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 3 08:33:31 2025 +0000

    bumped changelog version

commit 554b8edfe4b4fb15a054bedfc0cdaca8009b06ea
Merge: 4534036 5a6625c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 2 07:04:33 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 5a6625c6bd8c846a87ab34d6a80263ae6f160c5f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Dec 1 21:22:36 2025 -0600

    Fix end-of-options parsing, make argument retrieval a bit cleaner

    The pattern '--*' in the argument parser was matching the
    end-of-options string '--'. As a result, the string was collapsed to a
    blank string in the parser but not in the argument list itself. This
    triggered the parser to stop argument parsing, but without removing the
    '--' string from the argument list, resulting in it being sent as a
    command to the Tor daemon.

    To fix, change the patterns '--*' and '-*' in the parser to '--?*' and
    '-?*', respectively. This makes the parser collapse '--' to '-', which
    it later recognizes as an end-of-options indicator. This causes the
    parser to remove '--' from the argument list before stopping argument
    parsing.

    Also, stop assuming '$2' is always defined. We don't use 'set -u' in
    tor-ctrl today, but we might in the future.

commit 4534036ccfd93149e35c5d9b28d5c2fe420a4846
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 19 16:22:43 2025 +0000

    bumped changelog version

commit a432c68ba92824285f45a312f4ab0c278d7217b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 18 10:08:29 2025 -0400

    fix

commit 9847f65e4c098e2fe6b15741f0e6f82317ac2a65
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 2 15:30:47 2025 +0000

    bumped changelog version

commit 09ef57953d8a34d62dfe393c91e61ce202e0b6df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 26 09:21:22 2025 +0000

    bumped changelog version

commit 1f479fd5f53a31c1ed531cab248f84941b2b1ce0
Merge: 63ffc20 5af30c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 09:53:46 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 63ffc208855db194271b97d1f5d398bd8aae5519
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 06:57:31 2025 -0400

    bumped Standards-Version

commit 5be57b30d4a020163e20ba122bb2b1886958ad53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 06:25:38 2025 -0400

    readme

commit 5af30c0428a0e4fccbc254e6cc0dab756e77a537
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Aug 5 22:58:10 2025 -0500

    Port to Trixie.

commit 1497c8b05a9324a56c571b93ed8dc141e2471ca6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 08:20:33 2025 +0000

    bumped changelog version

commit 222813d298d840b4a0f9df7465764f40e65dfe92
Merge: 5e5dd65 39833c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 03:10:02 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/master'

commit 39833c0172da2d67fc7a352d3845f96a14138577
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Apr 24 00:10:26 2025 -0500

    Harden

commit 5e5dd65249e6cce9ae648196a1892f45fafa79d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 21 18:43:18 2025 +0000

    bumped changelog version

commit e6579d344d2246b3f62057595bfeb543fa7c2ed2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 21 10:09:15 2025 -0400

    refactoring

commit 7761e5e17b1b686d589719d33b2fc109ad89b8cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 21 10:04:42 2025 -0400

    refactoring

commit 7959e522a757ae8f93bb50eb8a328c2de582919e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 21 09:58:13 2025 -0400

    validate onion_id_file

commit 8d41f86642b51485d6d4b75935bd0bc63b06b600
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 21 09:41:49 2025 -0400

    hardcode Tor cookie path to `/run/tor/control.authcookie` for better security

commit 84ea21cbbd8556f15d88b3c06f59bfb5ff046bce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 17:34:45 2025 +0000

    bumped changelog version

commit 96e34c6d6de7f6d2031534b2b493434ca42b9438
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 12:24:07 2025 -0400

    fix

commit 46d8285387e8debe174876a4d85a18573a6e5dcf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 11:32:30 2025 -0400

    tor-ctrl-onion: fix `-k`, `-u`, `-x`

commit 17cffa4dd44a4ed8726f54a4d1123941351dfdd2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 11:24:54 2025 -0400

    fix

commit 50e3079d933a249bab21a53e094df28be8ca311a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 11:17:17 2025 -0400

    fix

commit 9c4bbdbc5f566d4d26baed7c5b81faedf8a7c6ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 11:13:55 2025 -0400

    fix

commit aacd023532193463e2ac495f5815723c9f9f0d72
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 11:09:25 2025 -0400

    disable colors in tor-ctrl-stream

commit b742eee844d2f3d59650ad362212e914ef106009
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 11:07:21 2025 -0400

    cleanup

commit baf864236a0cc6547c11254f8ec5b092ea14c663
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 11:05:32 2025 -0400

    cleanup

commit d50afd2cbaf67f0896939401963ed0408c86407e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 11:04:56 2025 -0400

    refactoring

commit f1c9f33948428f4d700b5747f55ae40e06ab52b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 11:00:35 2025 -0400

    refactoring

commit 443eaa8b0eecf5460cf78ae2d0e04f6ff7682c67
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 10:58:19 2025 -0400

    disable trap inside handler

commit 6ad0dcb93120e4d6ea1f2e4e2a63eb29e97c65d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 10:55:46 2025 -0400

    remove `kill 0` because not actually launching programs into the background
    and because this can cause infinite loops

commit f9ddd06813363f87baf7a3cb3c9dc53297d61905
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 10:52:33 2025 -0400

    fix

commit 825d1b50d81532a0ca1019e2cc1e35514171801d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 10:24:26 2025 -0400

    fix

commit b4e2693e2d69ff4a468cc2bbe76dd1623e1f6eb7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 10:19:20 2025 -0400

    improve temporary folder cleanup

commit 76a54d8f19160f5a64c801e98e42e4dfea77fc5c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 10:10:33 2025 -0400

    simplify temporary folder deletion

commit 604f64296652022b6d7f4b2734f3510f5b4edde9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 10:07:58 2025 -0400

    refactoring

commit 39780c49fcab8373de8fca5ebe9db3625e4897ac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 10:04:52 2025 -0400

    typo

commit 975be32fb9565ad587c87bad3cd24fc1ae41bf13
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 09:58:25 2025 -0400

    typo

commit 446d66785528d5048ebbeb6233aa2f7fa23853f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 09:57:37 2025 -0400

    refactoring

commit 71ec95afb44542d444fbb6c05dd683050c0d58d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 09:56:07 2025 -0400

    avoid potential permission issues by "`mkdir /tmp`"

commit ae3201e602c10a9e627614178485d27aa4970d16
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 09:50:48 2025 -0400

    refactoring

commit 6e8ea0036f4ebabdd22bdad0599d9cade63bada7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 09:40:01 2025 -0400

    typo

commit bb2ba0b22eacc88d05b97ba65212ab8642a03c55
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 09:33:16 2025 -0400

    fix

commit 4e5efef0ead69dc4cc06788cd36ce07a43af5560
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 09:21:04 2025 -0400

    output

commit 230e08f6df99a21fe17f31861c3824fb95946833
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 19:45:25 2025 -0400

    improve tmpdir safety

commit 4ccea826a4a4004035d2a97c03aec373471f9218
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 19:41:36 2025 -0400

    end-of-options

commit c2f78d412b915397ec9bcf5316e9ce9dbc3eff56
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 19:40:24 2025 -0400

    refactoring

commit 0515e59954489ef6db8a0c3fe004ad0d228853a2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 19:35:13 2025 -0400

    typo

commit ce3ae039cfeba029c0547b165a438014cc555f01
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 19:32:01 2025 -0400

    refactoring

commit dd217fa33f4d3ed29009575d6dcfc5a535b04525
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 19:29:06 2025 -0400

    refactoring

commit 7d3f505f0e36d1878374096490683a909c28719f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 19:25:38 2025 -0400

    refactoring

commit ba15367770430dc0e7ed6646936fbffa77f95d6b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 19:05:33 2025 -0400

    safe-rm

commit 11bc94f7373c6c07b9b41314ddef544d2d295ea0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 19:04:06 2025 -0400

    safe-rm

commit d94efaca65b0685472a5a20912d796ce6d9d0183
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 19:02:34 2025 -0400

    end-of-options

commit 23eeaa9adbc6e832f3ec966d182002a290b6c8ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 18:58:08 2025 -0400

    end-of-options

commit 75cd01301485533181ebe851ca3af81c8e4c6ba6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 18:56:18 2025 -0400

    quotes

commit 4e0dfec5f76524a30bc14c74b340dd2958aacb47
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 18:54:11 2025 -0400

    end-of-options

commit 5027b74d971be25ef874f0c987a31cd3a4f65239
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 18:51:32 2025 -0400

    end-of-options

commit 2e68345b1081c7ece4db336cba9ed528e0333696
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 18:44:44 2025 -0400

    end-of-options

commit 2be3ebfbf12736dff027d60fef3c2f7a3143195c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 18:42:32 2025 -0400

    printf

commit 04666eecac6b4999a4a3eb4120b16790f763f0d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 24 11:11:46 2025 +0000

    bumped changelog version

commit 560bd27b6b17cf132cd46b09a0cf2e6070729984
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 11:13:40 2025 -0500

    copyright

commit 1a4cf6f5a7b3a01df3b42c3efd1057f2c56b7223
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:26:57 2023 +0000

    bumped changelog version

commit 970be895529300479f8f21c382b282dfa69bde28
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 14:28:43 2023 -0500

    shorten header comments

commit fb0e3bea2924e747760b6c6b53e2208d1ccdf920
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 14:26:10 2023 -0500

    change license to GPL-3+

commit ced64a3a78a592e68bb5c308184cf25feb6250dd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 14:23:19 2023 -0500

    copyright

commit 3c38f636f85fd8000265eca43d73974b7d203363
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 14:20:18 2023 -0500

    copyright

commit 27b85909f84fc72c1db39450eee7b407e3f011a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 14:19:53 2023 -0500

    copyright

commit 2fcc6fa5257a6ccb7494f5b2239e6394ed59af8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 14:18:55 2023 -0500

    syntax fix

commit f5a759a18f6a62adb1029acf0ce3f517d0a384f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 14:17:57 2023 -0500

    debian/copyright must match COPYING

commit 1856358b6b5cf28d466cbbd3789004ea78b12371
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:51:27 2023 -0400

    bumped changelog version

commit 0d1306e4aa32effebc15334cfc3b7dde4b8b8abc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:20:13 2023 -0400

    Kicksecure

commit 9c96bc6ff5993d9cf8d9274b060d9b0d4a0de1bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:40:18 2023 +0000

    bumped changelog version

commit 411b6004d22c98bbbbd227049f544e972dd6e8fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:32 2023 +0000

    bookworm

commit faf291ccb96c599e412bc4ea5e1c9b5ceeeaed1b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:11:02 2023 +0000

    bumped changelog version

commit 2d52c63852d6a884738178522eadf0e5bd109bdf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:07 2023 +0000

    readme

commit d51b1d7555f1ae570843ea36d71f600231a5df09
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 10:02:30 2023 +0000

    bumped changelog version

commit ad8964c620f8de2544922eb697ae715a65dfa166
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 13 08:47:12 2023 +0000

    fix lintian warning

    P: tor-ctrl source: very-long-line-length-in-source-file 554 > 512 [README.md:256]

commit 2836173372e877e86d944ddf5f07b57b643ebcf4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 18:09:55 2023 +0000

    bumped changelog version

commit d71448e451cace1dc80f8b7ac1034a5ed770896f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:34 2023 +0000

    Standards-Version: 4.6.1.0

commit 63b78a745aff6d3c21be846a1528e5ab67531db3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 24 12:02:46 2022 -0400

    bumped changelog version

commit 26baa3c09bbd46e33dcd76426770a3856b4fe7fc
Merge: 8e51c0c 88552d2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 24 12:02:30 2022 -0400

    Merge remote-tracking branch 'nyxnor/master'

commit 88552d2afdaa35b05371a4d13fd5580fc0f0890d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Oct 22 17:37:17 2022 +0000

    unlimit circuit hops

    vanguards compatibility

commit 8e51c0cf5a7f88174ae90b202f96594ef7812576
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 17 06:40:29 2022 -0400

    bumped changelog version

commit 51dbca8d319c79ad7e09186fcc7176718e779247
Merge: 43f99f9 1e53eb6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 17 06:39:16 2022 -0400

    Merge remote-tracking branch 'nyxnor/master'

commit 1e53eb6719dd0bb9788e32f2f3a3a96a958ee952
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Oct 16 21:31:49 2022 +0000

    fix hanging of tor on WS

commit 81b35145139630b9b686684fc51381c13ceab0d3
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Sep 27 20:39:01 2022 +0000

    make temporary file be created on tmpdir

    avoid putitng files on current directory

commit 23433ede20a3a93041834a42f557c88bd088bac5
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Sep 27 20:13:39 2022 +0000

    make help message column less then 80 chars

commit 3c8291a6c0198956a04439d6a329e132ffb37127
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Jul 9 00:09:59 2022 +0000

    source_addr

    https://github.com/nyxnor/tor-ctrl/issues/32

commit 230499fbc8d29fe463a95c0e0cb97ef33f314b89
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jun 19 17:14:29 2022 +0000

    fix https://github.com/nyxnor/tor-ctrl/issues/31

commit 43f99f91002085a50f2def4ebf420a3f66d5984f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:33 2022 -0400

    bumped changelog version

commit 53645387c902ad0b0f8dd821ba6afd4b36ddc75d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:26:00 2022 -0400

    readme

commit c2c43049b60556eab6e00121458040c932257d13
Merge: 8df77ad 520324b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 19 18:13:07 2022 -0400

    Merge remote-tracking branch 'nyxnor/master'

commit 520324b35e6ae8941d5d7b2d3fa6004702c58f85
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 27 22:22:37 2022 +0100

    improve usage and less repeated code

    https://github.com/nyxnor/tor-ctrl/issues/27

commit 0d55024e1e9fb5cece3f10678767dc6a2db39559
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 27 15:05:19 2022 +0100

    explain which socket failed and which worked

    https://github.com/nyxnor/tor-ctrl/issues/27

commit b9ebebd9fd2de637b0e00fa97ca7418fb9a35214
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 27 11:17:46 2022 +0100

    sort socket per tor system

    https://github.com/nyxnor/tor-ctrl/issues/27

commit a8d9bf3c244832e71b1a5f5c9c6ef698fd73ac68
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Feb 26 14:24:07 2022 +0100

    var: don't compare integers, compare if empty or not

commit 11a2d33b9b1ca39040dc207e8ae3425af3f54284
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Feb 26 14:06:10 2022 +0100

    enhance socket selection

    https://github.com/nyxnor/tor-ctrl/issues/27

commit a1246bc518b73366bdfe57a016ed704bc93d29a3
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Feb 26 02:08:15 2022 +0100

    sort socket per tor system

    https://github.com/nyxnor/tor-ctrl/issues/27

commit 21aa3b189f2cfa8fbf36a1740e05ca0f2da2f6bc
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Feb 25 10:01:24 2022 +0100

    info about which socket it connected

    https://github.com/nyxnor/tor-ctrl/issues/27

commit c69df4c1d8149e71813334b343fc0e8ce2e7e71e
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Feb 25 02:38:17 2022 +0100

    try TBB socket and env var till finding something

    https://github.com/nyxnor/tor-ctrl/issues/27

commit 8df77adb6ea0f65e52bdac2136686e0b5a001c2a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 22 07:47:31 2022 -0500

    bumped changelog version

commit fc60758677673696357094d86cccf38c3b05e227
Merge: 54ffffb bda0df7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 22 05:37:17 2022 -0500

    Merge remote-tracking branch 'nyxnor/master'

commit bda0df76f6d93587e4897dea3387f427832e6a87
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 18:38:54 2022 +0000

    do not ommit exits from normal streams

commit 41604ccf7a4adc906a61217162ed77e17c7b35ce
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 18:35:25 2022 +0000

    formatting

commit 0792bb42d1d944c51cff2868bf111c75a51afdd3
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 18:32:21 2022 +0000

    make less connections to the controller when possible

commit df14202d5120a3b280dbe3db9b0691409f3ffecd
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 18:11:34 2022 +0000

    fix duplicate

    https://github.com/nyxnor/tor-ctrl/issues/28

commit b90f6b8c1fc975d029bdc2bf1a371808dcb06870
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 18:03:49 2022 +0000

    tor-ctrl-observer

    https://github.com/nyxnor/tor-ctrl/issues/28

commit bdc74d70f24d542cbde4e781a6bedab027e12ae1
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 18:03:18 2022 +0000

    misc

commit 9e56bf9609c16f8b8df54074ed7e07c7454d4a73
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 13:36:00 2022 +0000

    the typo

    https://github.com/nyxnor/tor-ctrl/issues/30

commit 40023de168f143e065a010931e7fd302b8748673
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 13:35:45 2022 +0000

    the typo

    https://github.com/nyxnor/tor-ctrl/issues/30

commit 944266ec6d2fd5d556c07aff323d0b34fb6f932b
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 13:33:58 2022 +0000

    do no share circuits on public forums

    https://github.com/nyxnor/tor-ctrl/issues/30

commit 8504280f38608b7ac0c5ba7a444be257ec4641cd
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 13:32:02 2022 +0000

    shellcheck

commit 6a9c2297a9ad014465a4a87c145041c9d63be268
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 12:22:03 2022 +0000

    fi

    https://github.com/nyxnor/tor-ctrl/issues/26

commit 46362407665741342c351656cff37f3520062293
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 12:20:35 2022 +0000

    restore also from file, not just folders

    https://github.com/nyxnor/tor-ctrl/issues/26

commit 3ae5b08a30174bc3ce6e7fae533f1a41d597b369
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 11:48:32 2022 +0000

    restore from a singe file

    https://github.com/nyxnor/tor-ctrl/issues/26

commit 6fbfc86846e95f7327faf9a0c44be3aad467e05c
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 11:44:16 2022 +0000

    finish permanent mode

    https://github.com/nyxnor/tor-ctrl/issues/26

commit b97f9412ceb3f327422d6cda5b5246043226eb68
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 11:35:40 2022 +0000

    fix return carriage

    https://github.com/nyxnor/tor-ctrl/issues/26

commit 25583a1b83ebef8ab71c0766c120d5e2e2b79184
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 11:34:04 2022 +0000

    fix return carriage

    https://github.com/nyxnor/tor-ctrl/issues/26

commit 0d2f9b8583efcc1b6e3c86fba75b3f4b810a1c55
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 11:21:16 2022 +0000

    small fixes to permanent mode

commit 8d4ca3dd3be0d7bb44db9ab582d9d4e275724b49
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 10:58:18 2022 +0000

    introducing permanent onion mode

    https://github.com/nyxnor/tor-ctrl/issues/26

commit 3847b1907cdf6cf8196b6bd6a8d62a0f7d698870
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Feb 21 00:13:52 2022 +0000

    don't print exits on stream private mode

    https://github.com/nyxnor/tor-ctrl/issues/28

commit b4e996dee3f6ace12d8baddcc8895f234a136be8
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 20 23:51:16 2022 +0000

    fix again 250 hide

    https://github.com/nyxnor/tor-ctrl/issues/28

commit 6744c0ac6f70df08f1ee9d5e8d8fbb96b9081f1d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 20 23:48:36 2022 +0000

    fix ^250

commit 07598d799f41500ef1009407fbe5ccdf88a4f5f9
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 20 23:41:11 2022 +0000

    tone down warning on private mode

    https://github.com/nyxnor/tor-ctrl/issues/28

commit 28f138d46a21cdd64ef3a949e7be610d8179ac8f
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 20 22:59:48 2022 +0000

    remove DIR_FETCH from private tor-ctrl-stream

    https://github.com/nyxnor/tor-ctrl/issues/28

commit d7f4edf62734b2480a451544bf087bb57dde132f
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 20 22:55:34 2022 +0000

    small changes to -onion

commit e695900c4a1d0d48fef71c87bfe544666228ae60
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 20 19:11:43 2022 +0000

    add TBB instructions

    fix https://github.com/nyxnor/tor-ctrl/issues/27

commit 54ffffbeaa91a5d792cf000c67b4950fb2fe4061
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 20 13:56:53 2022 -0500

    bumped changelog version

commit 8119c6233e44ab35fea88df5861895456a74d2d5
Merge: 827469c ece5e97
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 18 09:47:40 2022 -0500

    Merge remote-tracking branch 'nyxnor/master'

commit ece5e97a69bf636dd5b4af9cfd17a9bacddaee2d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Feb 17 11:10:22 2022 +0000

    fix tor-ctrl-onion port arg

commit 91aadedc1f7feb6f7d58c68c23b6bd0330f6b2b8
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 13 00:59:55 2022 +0100

    grep fixed strings where to avoid problems with ipv6 relays

commit 9051de5a494f8ed7c29d6ab957e6f71b105df689
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 13 00:57:11 2022 +0100

    invert hostname order

commit 185050d6d8e051dccf9e7fc280b082a384cad8aa
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Feb 13 00:50:56 2022 +0100

    grep fixed string to not fail on []

    fix https://github.com/nyxnor/tor-ctrl/issues/25

commit 7d822a2f566a5070b417597f34dae5750f387ad1
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Feb 12 20:14:39 2022 +0100

    add tor as a dependency as we use --verify-config

commit 15ad2c65341c7e0a8cf1a6a5617af4bfd2fb5069
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Feb 11 14:33:58 2022 +0100

    configure.sh

commit fd6c4888368ca0152a711159ce67727ba3fd0a41
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Feb 10 13:09:04 2022 +0100

    add newline

commit 9f31740e88dbd40fd8cd098df59799d8c8d6bf71
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Feb 10 02:26:42 2022 +0100

    make streams without circuits cleaner

commit f5879a8a0d10053b64a9cd427d0910e2c9fbdbd5
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Feb 4 14:13:37 2022 +0100

    onion hostname is only lower-case

commit 78cf43f6c17e8d1c63f220f1fd828340fe533bf3
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Feb 4 01:31:40 2022 +0100

    fix max stream close circuit

commit dae0098e0044b48ed72443320eaa39aba344ddb6
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Feb 4 00:16:44 2022 +0100

    fix tor-ctrl-onion max streams

commit 5029208dc077ab279983325de61d1820b5b3eb71
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Feb 3 23:43:18 2022 +0100

    add nonanonymous and maxtreams for tor-ctrl-onion

    https://github.com/nyxnor/tor-ctrl/issues/17

commit 2860b60c3b2d809616f2c760f953e4d870e5377a
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Feb 3 18:31:08 2022 +0100

    add ONION_CLIENT_AUTH_{ADD,REMOVE,VIEW} to tor-ctrl-onion

    https://github.com/nyxnor/tor-ctrl/issues/24 and https://github.com/nyxnor/tor-ctrl/issues/17

commit 510029a9a43fa1e8102abf5d47bd9499e90c5186
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Feb 3 18:30:06 2022 +0100

    remove shift from getopts

commit cced9d2c280ba5aba81b0b44168458c3112549eb
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Feb 3 00:19:48 2022 +0100

    check if tor-ctrl is installed to use secondary scripts

commit b08676b061227e5287c84eb109c2793d8a44e7e4
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Feb 3 00:19:27 2022 +0100

    fix V3Auth

commit 33e10e991643cc831e992923705d1c3add255c66
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Feb 2 22:27:35 2022 +0100

    initial tor-ctrl-onion

    https://github.com/nyxnor/tor-ctrl/issues/17

commit f33e9ac39e9017d9d0e736fa973b82a9f028a9f6
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Feb 1 18:04:13 2022 +0100

    fix double quoting

commit 37ada279c7bd3a95ca322d738c7bf002d20fdd59
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Feb 1 17:33:46 2022 +0100

    fix https://github.com/nyxnor/tor-ctrl/issues/21

commit 48140da8fbc7812aad7dc5eaaa6986aeaa0f624d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Feb 1 17:25:09 2022 +0100

    move hostname to inside ()

    fix for https://github.com/nyxnor/tor-ctrl/issues/22

commit 922823236273b4bfd9cd5627e8e220f3cdacab39
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Feb 1 17:19:36 2022 +0100

    fix catting no file for the first run

    fix for https://github.com/nyxnor/tor-ctrl/issues/22

commit 7db9aacc25e4ee0f92cf241c38ac49219883a4cd
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Feb 1 17:14:07 2022 +0100

    saving hostname to a temporary file

    fix https://github.com/nyxnor/tor-ctrl/issues/22

commit 62ead28cdf8de507cef34ef0d97d061fc3bbcbcd
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 28 23:31:40 2022 +0100

    save strean information as soon as client tried to connect
    "SENTCONNECT"  / ; Sent a connect cell along a circuit
    "SENTRESOLVE"  / ; Sent a resolve cell along a circuit

    Now, stream does not need to succeed or be closed, it is better this way cause we can see all tried connections/resolves

commit 96ffbdf42ea8eeef3340827411cd77fbb8f5d163
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 28 23:26:06 2022 +0100

    add stream purpose

commit 64160ce977c575ab67d11194428c559ef886aae6
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 28 23:11:02 2022 +0100

    even if the stream does not close, print it
    SUCCEEDED does not appear on stream NEWRESOLVE that is for DNS_REQUEST, so we need to keep the CLOSED option
    but in the case it has SUCCEEDED to connect but not closed yet, still print it

commit acce8d07a7178bdc5450581774ef807ff5d4342f
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 28 22:44:44 2022 +0100

    print stream ordered by number
    fix https://github.com/nyxnor/tor-ctrl/issues/23

commit 731e1bc4383aee7c48abb67ad4c2aa27b341f8ad
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 28 16:02:57 2022 +0100

    fix tor-ctrl-stream listening to torscosk requests

    https://github.com/nyxnor/tor-ctrl/issues/22

commit 0136eab410e590a872de2ff5b82b3011f82a5d91
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 28 00:45:58 2022 +0100

    add machine mode (default not set), this means info messages will be printed by default
    https://github.com/nyxnor/tor-ctrl/issues/19

commit d96c6de6ac04a03d3d209008e4afff6df8d3fc34
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 28 00:32:13 2022 +0100

    just attempt to install highest package version from parent directory

commit 8d6e855321cc34087ae528e465582b724d7143a3
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 28 00:26:07 2022 +0100

    --no-sign package on configure.sh

    I presume whonix automated script takes care of this for signing new releases without depending on this custom script

commit 75349b8f777643cbed8d2435db986d4835a74446
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 28 00:20:59 2022 +0100

    fix sending empty line has two or more consecutives \n \n

    this occurs if there is a user made typo, just avoid it

commit 20a8fe7fcdb1b2b2ac44229509820b73be502ccc
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 28 00:14:32 2022 +0100

    don't attempt to sign package from readme instructions

    if not signed, error code is 25,lets use flag --no-sign so error code is zero and not red alarming on the screen

commit eb991be83864c8434d3f411b5bfc5dd90996ed21
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Jan 24 11:04:57 2022 +0100

    fix bold header on tor-ctrl-stream

commit 5854005ca2262b42d30c3da0fcb91cb2f23a81b8
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Jan 24 10:53:16 2022 +0100

    update manuals

commit 117aefcc3b015c78d9b9a328d6274ff7ee0dabf3
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Jan 24 10:53:05 2022 +0100

    format text to left and numbers to right

commit ea1ddcd507f480113626563b129d47800065481c
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Jan 24 02:12:11 2022 +0100

    fix tor-ctrl-stream trap signal

    https://github.com/nyxnor/tor-ctrl/issues/18

commit 443426965d4516b509642a595576d2598c78ed44
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 23 23:00:49 2022 +0100

    tor-ctrl-stream prints whole stream without format first
    fix https://github.com/nyxnor/tor-ctrl/issues/18

commit 5f97b2e632a3203d291590f465b69b4d8ebcaf22
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 23 22:38:49 2022 +0100

    formatting

commit 79ffc9d3af684c2c8513eda901a61bd9c05195a0
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Jan 22 12:17:42 2022 +0100

    fix https://github.com/nyxnor/tor-ctrl/issues/15. Print bandwidth and contry for circuits

commit 52a86589ee509075de81618b4802cf2501621cc5
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Jan 22 12:17:11 2022 +0100

    add deb option to configure.sh and make .gitignore pattern more broad

commit 79532c0a9516e7f0c505a3be133d758516eeb3dd
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 21 14:17:28 2022 +0100

    readme'

commit 42b8ac0cf0399ce59cf6cc343334a5aebdce412f
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 21 14:16:39 2022 +0100

    typo readme

commit df3e9c1312580640a02f26ac633aac444abf660d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 21 14:14:30 2022 +0100

    update readme about sharing private info

commit 123a848e7658898f4c059d60c087b756760ed24c
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 21 12:08:51 2022 +0100

    'tor-ctrl -w' quits with INT and 'tor-ctrl-stream' resumes with INT. Closes https://github.com/nyxnor/tor-ctrl/issues/13

commit a9ea0782141e018b4d9284d556ff98c7c13b6b12
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 21 12:06:23 2022 +0100

    add shellcheck option in configure.sh

commit 4827f423ad2f823d38748fcf59d0458478dc5cff
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 21 12:06:09 2022 +0100

    update docs

commit 77e0d5a07f236a5b3bd72ee6bfc7bc632bbbc102
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 21 12:05:52 2022 +0100

    add dot files

commit 1755a692921d20f006cdd174f9479c1b5d913675
Merge: 6c09bfc 827469c
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Jan 20 02:13:26 2022 +0100

    Merge pull request #14 from Whonix/master

    typo and bump deb package changelog version

commit 827469c38682714157bcc9e4e2c0eaf5ac9f603b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 07:12:47 2022 -0500

    bumped changelog version

commit ee3489c34e904be3326c0dad6476d1d59387786b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 07:11:52 2022 -0500

    typo

commit 49ed37d40010eb2f7cd94d632b22c7268837a334
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 07:09:40 2022 -0500

    bumped changelog version

commit 4e1d02d8fb43c2d52a1155a99cd1185f6fb39910
Merge: e4af561 6c09bfc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 06:51:19 2022 -0500

    Merge remote-tracking branch 'nyxnor/master'

commit 6c09bfc1430a7225e7681f2f05013d66af800974
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Jan 19 03:04:08 2022 +0100

    remove/uninstall option on configure.sh

commit 3107bf8065aa2f0a7d0a135b911b2e4a3645b55c
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Jan 19 03:03:52 2022 +0100

    update man

commit c7a295ddc10872526efd83fb2b6346a8f71ea9ea
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Jan 19 03:03:31 2022 +0100

    show streams before pressing enter

    fix for tor-ctrl and tor-ctrl-stream. Unfortunately, on tor-ctrl-stream, I couldn't find a way to print the streams at the same time as saving them, it is closing the connection if I send the process to background with '$ tor-ctrl -w SETEVENTS STREAM &', so looping GETINFO stream-status is the workaround.

commit bc6cfef968df32f2979750fa030c36b68cd998f5
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Jan 17 22:09:48 2022 +0100

    medicate auth_string not assigned
    happens when cookie is not readable or password not provided.
    be informative rather than try to send nothing to the controller.

commit 4a557e43b073bfd9e7ef36cb50c39425f7a51216
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Jan 17 21:49:18 2022 +0100

    fix detection of ControlPort [unix:]path
    Normally unix:path is on ControlSocket, which the value is just the path without the unix prefix, but in the case someone use unix:path for ControlPort, detect it correctly.
    previous code was resulting in "unix", not in "path" and we want path.

commit 9dbb1a7dc3bf25126110f5f29604f7bbe11e71fd
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Jan 17 21:35:12 2022 +0100

    remove bash as a socket program which was never completed

commit 49997728b22e1bde2406074b9b1f1170aa6ff72c
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 16 21:25:54 2022 +0100

    place dry-run default value in a central location as other variables

commit e7c003f762f8a27c8b78d802e26121a0bc56c7f6
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 16 21:19:31 2022 +0100

    fix typo in usage on tor-ctrl

commit 860a003c7ac94e47055320f380835e262dc00e9b
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 16 21:19:08 2022 +0100

    update generated man pages

commit e4af561f215200a77c6ecc754b1c3d2e902501b4
Merge: e1f2379 ab8f9d2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 16 14:16:50 2022 -0500

    Merge remote-tracking branch 'nyxnor/master'

commit ab8f9d2b86f84bdc82402112f5bbe282df43e36e
Merge: eb69c02 1532991
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 16 20:04:31 2022 +0100

    Merge branch 'master' of https://github.com/nyxnor/tor-ctrl

commit eb69c022f981b2d1600ea4b1596114b637c727aa
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 16 20:03:53 2022 +0100

    put /dev/null in socat option list

commit e1f23794030a19ae9047e0c118d4817e138f1c19
Merge: ecdfef1 1532991
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 16 14:03:35 2022 -0500

    Merge remote-tracking branch 'nyxnor/master'

commit 15329917393cc4388867f1c12f83b43ca55deecc
Merge: 205571a 83071ec
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 16 19:59:00 2022 +0100

    Merge pull request #12 from adrelanos/patch-2

    switch to netcat-openbsd

commit 205571a8409c69cb0c55fd6dfb319d0f189ebfd0
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 16 19:57:05 2022 +0100

    dont grep no file

commit 83071ec54a5675b52f78c1a3f4d89c821b87e877
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 16 13:57:03 2022 -0500

    switch to netcat-openbsd

    https://github.com/nyxnor/tor-ctrl/issues/9

commit ecdfef1a05ee2e2ddaaac9278603c2b8310da209
Merge: ec9de97 71988e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 16 12:54:47 2022 -0500

    Merge remote-tracking branch 'nyxnor/master'

commit 71988e5a10ffb76cb27873fbf2691aeb84ca9735
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 16 18:43:41 2022 +0100

    accept NULL auth method
    https://github.com/nyxnor/tor-ctrl/issues/9

commit ec9de97553315f01178be3adacf61aceda726256
Merge: 19f8731 719b0be
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 16 12:41:44 2022 -0500

    Merge remote-tracking branch 'nyxnor/master'

commit 719b0becfae73f8e4da1d1d23bcc6c1e217a6765
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 16 02:37:46 2022 +0100

    move socat stdin to middle, fix double '//' on files extracted from tor --verify-config

commit 2986ca0ded9c2daef8c3f897d95a746d3d2fd553
Merge: adacd31 ab3ebd4
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Jan 15 22:33:59 2022 +0100

    Merge branch 'master' of https://github.com/nyxnor/tor-ctrl

commit ab3ebd4ea6e75ce7d21d03136e2e1a328a129474
Merge: aa8c31b 19f8731
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Jan 15 22:29:08 2022 +0100

    Merge pull request #8 from Whonix/master

    add new lines at the end

commit 19f8731866caff49e81e6868bef09604bed3fc04
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 15:02:59 2022 -0500

    bumped changelog version

commit 80c549f36cb5e4fd57a1333619356f663ec2e11d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 15:02:11 2022 -0500

    ./configure.sh man

commit ed561899bbdd6a1af5f0f3f113298dd9e2bef879
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 14:55:15 2022 -0500

    typos

commit 7916e4423def544812c72f2a8d5533fc0d1825fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 14:53:49 2022 -0500

    packaging fixes

commit 7839b5415ceef01e8704fa42f50c643a9dd4ced2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 14:46:48 2022 -0500

    add new line at the end

commit 41a1f6dbf50bbf46dc5c32583557b77c94fd6742
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 14:34:50 2022 -0500

    add new lines at the end

commit adacd317b58a2533c8acc80dd1552ea90e6e9464
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 14 19:55:39 2022 +0100

    update tor-ctrl description to be more accurate

commit 8148523ff730b6bcc1fe2030919f7ce1a80e696c
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 14 19:54:57 2022 +0100

    update man

commit 7856d5b266e72da717a5714ed83173c95f922c07
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 14 19:53:36 2022 +0100

    s/awk/cut on auxiliary scripts

commit d172a63b9646d95f0c8d2795fc089858f57693be
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 14 19:53:15 2022 +0100

    improve manual pages

commit aa8c31be0a8c2a3ebd822b5accfcf5d53e446ead
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 14 15:42:42 2022 +0100

    reiterating last commit

commit f8f02f843ecb06c3522705f654a357338d5fa535
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 14 15:41:45 2022 +0100

    fix grep to be posix
    - remove options '-o' and '-h'

commit 98e6b21dbca633d4619f4b0c6648fc1f10c3a2d1
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 14 14:39:19 2022 +0100

    less code on get_socks function

commit 180bdabdcbc1f9fcb2a2af84e815b3363e114620
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 14 14:14:49 2022 +0100

    typo man

commit 63a816b43381d7f9055e892ba873e4a032efac2d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 14 14:08:19 2022 +0100

    change command delimiter to shell escape to new line
    - pipe was giving problems on unquoted commands because obviously it was piping it
    - the format to be used is 2 (two) backlashes (\) and a new line ref (n): \\n
    - add debug mode to facilitate understanding where it failed if it did
    - add dry-run mode to be safe and see what configuration it would use instead of running directly. It does not send commands to the controller
    - organize socket functions, which was causing confusion to read and understand
    - better comments on functions

commit f7de0772453efeb86fa3ec8aa99caa34e1d02df9
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Jan 14 14:06:24 2022 +0100

    improve readme

commit bcdbb212b3fca6c66778340a8283908add4d95f3
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Jan 13 12:59:31 2022 +0100

    improve readbility on readme removing temp files

commit ffecbbe9afdf23502eca5d2f3c2c465799f97c08
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Jan 13 12:57:05 2022 +0100

    instructions on how to build deb package and cleanup

commit dcf02e47bdec3ba2bd5812b88864c64d48321211
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Jan 13 12:56:49 2022 +0100

    cosmetics on comments

commit e0f0800545b80d2b68f868992aa02cbdea81e258
Merge: d1711c5 651204f
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Jan 13 09:59:59 2022 +0100

    Merge pull request #6 from adrelanos/patch-1

    Update README.md

commit 651204f6eb45572cc20570da70a9a334599fcd62
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 13 03:06:57 2022 -0500

    Update README.md

commit d1711c5f5e279de8c2f3485f6e8344bcf0527fbc
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Jan 13 02:16:06 2022 +0100

    ignore files produced when creating a debian package

commit 2142e7021bdb5d7c4d39c9b0185a8fc5bad326a1
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Jan 13 02:15:33 2022 +0100

    conclude debian package folder

    https://github.com/nyxnor/tor-ctrl/issues/5

commit 46fa89d5a002ee9ed2eb677b3148db46f3874ea4
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Jan 13 02:14:36 2022 +0100

    fix typo on manual

commit 9c757fd1e0351dd652f5d3623b2b128a39d73f2d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Jan 13 01:19:53 2022 +0100

    reoganize tor-ctrl, enhance telnet check

commit 061b224dd98dfd65a40c604fc2e4ad2db2d12aaa
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Jan 12 23:20:32 2022 +0100

    move examples script to usr/bin prefixed by tor-ctrl-*

commit 11e7607ffa8c5666407b33618f575ea098325db3
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Jan 12 23:13:38 2022 +0100

    fix manual pages and script path

commit dce1e6eddc4b281cdcd5e433e648cc869a8770f2
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Jan 12 23:10:06 2022 +0100

    start structuring directories for debian package

    https://github.com/nyxnor/tor-ctrl/issues/5

commit 6e7034615d9728b79397acc2b07329033f9c17a9
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Jan 12 22:48:52 2022 +0100

    check if socket exist on unix domains

    fix https://github.com/nyxnor/tor-ctrl/issues/4

commit 2d40c46d8ea0cbe1fbe8e9b79c099080700d3d8a
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Jan 12 03:24:38 2022 +0100

    explain how socket is auto-detected on the readme

commit a81848377d3c2588a91011a0308684d10f86a8ca
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Jan 12 03:21:51 2022 +0100

    remove necessity to quote commands if they are the only or last options, or after '--'.

commit 542ba2de76de03b96fd1cea712dd0346afc00197
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Jan 12 03:21:48 2022 +0100

    correct usage on examples scripts

commit f25bd624753b2892241415d851b7c49cc7a09385
Author: nyxnor <nyxnor@protonmail.com>
Date:   Wed Jan 12 02:39:33 2022 +0100

    autodetect control socket

commit 73c5ae0a5f87cc2d9e856fa2346f4f38a8858dd6
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Jan 10 22:48:04 2022 +0100

    make *-c* an optional option if command is the last positional argument
    if the command was in the middle and not preceded by the -c, getopts would exit there and not parse options after it, which is not what we want. By making it the last positional argument, we avoid that error.

commit df0e0dbec1aa8c7d99172b3bdd288780ecb925c0
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 9 17:48:12 2022 +0100

    improve manual pages

commit 90f46fb6227cb408e9e1761aeb8d9588bc21539f
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 9 17:41:48 2022 +0100

    rename scripts dir tor examples

commit 4214d8be47fc701fdccefb94c300e207fde9a325
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 9 17:41:14 2022 +0100

    rename scripts dir tor examples

commit a966b5b8250594a04a11909025ab5c415ca73ac1
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 9 17:35:27 2022 +0100

    add folders

commit b3f631a9d8f00ce8fcd46ddbe341e8a4c0bfefd8
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 9 17:34:15 2022 +0100

    give less cli options and rename files to original name

commit b7ab527f7f88cd31f4a0459a0055f1c85758fe2a
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Jan 9 17:09:35 2022 +0100

    change mode verbose to quiet, and be verbose by default, fix exit status

commit 9ca14380f7753b13b2c9bffce7a65a5ec166d540
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Jan 8 23:48:48 2022 +0100

    fix no socket being selected

    https://github.com/nyxnor/tor-controller/issues/2

commit eb8d10d991850051bc1fc5b43a0530ddfba5a733
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Jan 8 23:42:51 2022 +0100

    improve tor-controller to specify less options

    https://github.com/nyxnor/tor-controller/issues/2

commit 366801ee39fba1ef6bf1e401566f5ad9ffae844d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Jan 4 23:39:16 2022 +0100

    wip of tor-controller, examples on scripts/ dir
